Android のセキュリティに関する公開情報 - 2019 年 4 月

2019 年 4 月 1 日公開 | 2019 年 4 月 3 日更新

Android のセキュリティに関する公開情報には、Android デバイスに影響を与えるセキュリティの脆弱性の詳細を掲載しています。セキュリティ パッチレベル 2019-04-05 以降では、下記のすべての問題に対処しています。デバイスのセキュリティ パッチレベルを確認する方法については、Android のバージョンを確認して更新するをご覧ください。

Android パートナーには、情報公開の 1 か月前までにすべての問題が通知されます。Android オープンソース プロジェクト(AOSP)のレポジトリに、下記の問題に対するソースコードのパッチをリリースしています。また、この公開情報では、これらのパッチへのリンクに加え、AOSP 以外のパッチへのリンクも掲載しています。

下記の問題のうち最も重大度の高いものは、メディア フレームワークに重大なセキュリティの脆弱性があるため、リモートの攻撃者が特別に細工したファイルを使用して、特権プロセス内で任意のコードを実行するおそれがあることです。重大度の評価は、攻撃対象のデバイスでその脆弱性が悪用された場合の影響に基づくもので、プラットフォームやサービスでのリスク軽減策が開発目的または不正な回避により無効となっていることを前提としています。

この新たに報告された問題によって実際のユーザー デバイスが不正使用された報告はありません。Android プラットフォームのセキュリティの向上に役立つ Android セキュリティ プラットフォームでの保護や Google Play プロテクトについて詳しくは、Android と Google サービスでのリスク軽減策をご覧ください。

注: 最新の無線(OTA)アップデートと Google デバイスのファームウェア イメージについての情報は、2019 年 4 月の Pixel のアップデートに関する公開情報でご覧いただけます。

Android と Google サービスでのリスク軽減策

ここでは、Android セキュリティ プラットフォームGoogle Play プロテクトのようなサービスによる保護でリスクを軽減する手段について概説します。こうした機能は、Android でセキュリティの脆弱性が悪用される可能性を減らすものです。

  • Android 上の多くの問題の悪用は、Android プラットフォームの最新版で機能が強化されるほど困難になります。Google では、すべてのユーザーに対し、できる限り最新バージョンの Android に更新することをおすすめしています。
  • Android セキュリティ チームは、Google Play プロテクトによって脆弱性の悪用を積極的に監視しており、有害な可能性があるアプリについてユーザーに警告しています。Google Play プロテクトは、Google モバイル サービスを搭載したデバイスではデフォルトで有効になっており、Google Play 以外からアプリをインストールするユーザーにとっては特に重要です。

セキュリティ パッチレベル 2019-04-01 の脆弱性の詳細

以下に、パッチレベル 2019-04-01 に該当するセキュリティ脆弱性の各項目の詳細を示します。脆弱性は、影響を受けるコンポーネントごとに分類しています。問題の説明に続いて、CVE、関連する参照先、脆弱性のタイプ重大度、更新対象の AOSP バージョン(該当する場合)を表にまとめています。該当する場合は、バグ ID の欄に、その問題の対処法として一般公開されている変更内容(AOSP の変更の一覧など)へのリンクがあります。複数の変更が同じバグに関係する場合は、バグ ID の後に記載した番号に、追加の参照へのリンクがあります。

フレームワーク

フレームワークの脆弱性により、ローカルの攻撃者によって追加権限が取得され、ユーザー操作が回避されるおそれがあります。

CVE 参照 タイプ 重大度 更新対象の AOSP バージョン
CVE-2019-2026 A-120866126* EoP 8.0

メディア フレームワーク

メディア フレームワークの最も重大な脆弱性により、リモートの攻撃者が特別に細工したファイルを使用して、特権プロセス内で任意のコードを実行するおそれがあります。

CVE 参照 タイプ 重大度 更新対象の AOSP バージョン
CVE-2019-2027 A-119120561 RCE 重大 7.0、7.1.1、7.1.2、8.0、8.1、9
CVE-2019-2028 A-120644655 RCE 重大 7.0、7.1.1、7.1.2、8.0、8.1、9

システム

システムの最も重大な脆弱性により、悪意のあるローカルアプリによって特権プロセス内で任意のコードが実行されるおそれがあります。

CVE 参照 タイプ 重大度 更新対象の AOSP バージョン
CVE-2019-2030 A-119496789 EoP 9
CVE-2019-2031 A-120502559 EoP 7.0、7.1.1、7.1.2、8.0、8.1、9
CVE-2019-2033 A-121327565 [2] EoP 9
CVE-2019-2034 A-122035770 EoP 7.0、7.1.1、7.1.2、8.0、8.1、9
CVE-2019-2035 A-122320256 EoP 7.0、7.1.1、7.1.2、8.0、8.1、9
CVE-2019-2038 A-121259048 ID 7.0、7.1.1、7.1.2、8.0、8.1、9
CVE-2019-2039 A-121260197 ID 7.0、7.1.1、7.1.2、8.0、8.1、9
CVE-2019-2040 A-122316913 ID 9

セキュリティ パッチレベル 2019-04-05 の脆弱性の詳細

以下に、パッチレベル 2019-04-05 に該当するセキュリティ脆弱性の各項目の詳細を示します。影響を受けるコンポーネントごとに脆弱性を分類し、CVE、関連する参照先、脆弱性のタイプ重大度、コンポーネント(該当する場合)、更新対象の AOSP バージョン(該当する場合)などの詳細を記載しています。該当する場合は、バグ ID の欄に、その問題の対処法として一般公開されている変更内容(AOSP の変更の一覧など)へのリンクがあります。複数の変更が同じバグに関係する場合は、バグ ID の後に記載した番号に、追加の参照へのリンクがあります。

システム

システムの最も重大な脆弱性により、リモートの攻撃者が特別に細工したファイルを使用して、特権プロセス内で任意のコードを実行するおそれがあります。

CVE 参照 タイプ 重大度 更新対象の AOSP バージョン
CVE-2019-2029 A-120612744 RCE 重大 7.0、7.1.1、7.1.2、8.0、8.1、9
CVE-2019-2032 A-121145627 EoP 8.0、8.1、9
CVE-2019-2041 A-122034690 [2] [3] EoP 8.1、9
CVE-2019-2037 A-119870451 ID 7.0、7.1.1、7.1.2、8.0、8.1、9

Qualcomm コンポーネント

Qualcomm コンポーネントに影響する脆弱性は次のとおりです。詳細については、該当する Qualcomm のセキュリティに関する公開情報やセキュリティ アラートをご覧ください。これらの修正の大半は、2018 年にリリースされた Qualcomm のセキュリティに関する公開情報に掲載されています。これらの問題の重大度の評価は、Qualcomm から直接提供されたものです。

CVE 参照 タイプ 重大度 コンポーネント
CVE-2018-11940 A-79377832
QC-CR#2254946
なし 重大 WLAN ホスト
CVE-2017-17772 A-72957385
QC-CR#2153003 [2]
なし WLAN ホスト
CVE-2018-11294 A-109741680
QC-CR#2197481
なし WLAN ホスト
CVE-2018-5855 A-77527719
QC-CR#2193421
なし WLAN ホスト
CVE-2018-11299 A-109741946
QC-CR#2186953
なし WLAN ホスト
CVE-2018-11826 A-111127853
QC-CR#2205957
なし WLAN ホスト
CVE-2018-11827 A-111128575
QC-CR#2206569
なし WLAN ホスト
CVE-2018-11840 A-111126050
QC-CR#2215443
なし WLAN ホスト
CVE-2018-11851 A-111125792
QC-CR#2221902
なし WLAN ホスト
CVE-2018-11860 A-111128301
QC-CR#2225113
なし WLAN ホスト
CVE-2018-11868 A-111128420
QC-CR#2227248
なし WLAN ホスト
CVE-2018-11869 A-111128838
QC-CR#2227263
なし WLAN ホスト
CVE-2018-11878 A-111128797
QC-CR#2228608
なし WLAN ホスト
CVE-2018-11889 A-111128421
QC-CR#2230998
なし WLAN ホスト
CVE-2018-11891 A-111128578
QC-CR#2231767
なし WLAN ホスト
CVE-2018-11894 A-111127989
QC-CR#2232358
なし WLAN ホスト
CVE-2018-11895 A-111128877
QC-CR#2232542
なし WLAN ホスト
CVE-2018-11897 A-111128841
QC-CR#2233033
なし WLAN ホスト
CVE-2018-11902 A-111126532
QC-CR#2225604
なし WLAN ホスト
CVE-2018-11904 A-111125111
QC-CR#2215446
なし WLAN ホスト
CVE-2018-11905 A-112277221
QC-CR#2146878
なし WLAN ホスト
CVE-2018-11923 A-112276863
QC-CR#2224443
なし WLAN ホスト
CVE-2018-11924 A-112278150
QC-CR#2224451
なし WLAN ホスト
CVE-2018-11925 A-112277910
QC-CR#2226375 [2]
なし WLAN ホスト
CVE-2018-11927 A-112277186
QC-CR#2227076
なし WLAN ホスト
CVE-2018-11930 A-112278861
QC-CR#2231770
なし WLAN ホスト
CVE-2018-11937 A-112277891
QC-CR#2245944
なし WLAN ホスト
CVE-2018-11949 A-112278405
QC-CR#2249815
なし WLAN ホスト
CVE-2018-11953 A-112277852
QC-CR#2235576
なし WLAN ホスト
CVE-2018-13920 A-120487136*
QC-CR#2293841
なし カーネル

Qualcomm クローズドソース コンポーネント

Qualcomm コンポーネントに影響する脆弱性は次のとおりです。詳細については、該当する Qualcomm のセキュリティに関する公開情報やセキュリティ アラートをご覧ください。これらの問題の重大度の評価は、Qualcomm から直接提供されたものです。

CVE 参照 タイプ 重大度 コンポーネント
CVE-2018-11271 A-120487384* なし 重大 クローズドソース コンポーネント
CVE-2018-11976 A-117119000* なし 重大 クローズドソース コンポーネント
CVE-2018-12004 A-117118976* なし 重大 クローズドソース コンポーネント
CVE-2018-13886 A-117118295* なし 重大 クローズドソース コンポーネント
CVE-2018-13887 A-117119172* なし 重大 クローズドソース コンポーネント
CVE-2019-2250 A-122473270* なし 重大 クローズドソース コンポーネント
CVE-2018-11291 A-109678120* なし クローズドソース コンポーネント
CVE-2018-11821 A-111093019* なし クローズドソース コンポーネント
CVE-2018-11822 A-111092813* なし クローズドソース コンポーネント
CVE-2018-11828 A-111089816* なし クローズドソース コンポーネント
CVE-2018-11849 A-111092945* なし クローズドソース コンポーネント
CVE-2018-11850 A-111092919* なし クローズドソース コンポーネント
CVE-2018-11853 A-111091938* なし クローズドソース コンポーネント
CVE-2018-11854 A-111093762* なし クローズドソース コンポーネント
CVE-2018-11856 A-111093242* なし クローズドソース コンポーネント
CVE-2018-11859 A-111090373* なし クローズドソース コンポーネント
CVE-2018-11861 A-111092814* なし クローズドソース コンポーネント
CVE-2018-11862 A-111093763* なし クローズドソース コンポーネント
CVE-2018-11867 A-111093243* なし クローズドソース コンポーネント
CVE-2018-11870 A-111089817* なし クローズドソース コンポーネント
CVE-2018-11871 A-111092400* なし クローズドソース コンポーネント
CVE-2018-11872 A-111090534* なし クローズドソース コンポーネント
CVE-2018-11873 A-111091378* なし クローズドソース コンポーネント
CVE-2018-11874 A-111092946* なし クローズドソース コンポーネント
CVE-2018-11875 A-111093022* なし クローズドソース コンポーネント
CVE-2018-11876 A-111093244* なし クローズドソース コンポーネント
CVE-2018-11877 A-111092888* なし クローズドソース コンポーネント
CVE-2018-11879 A-111093280* なし クローズドソース コンポーネント
CVE-2018-11880 A-111092401* なし クローズドソース コンポーネント
CVE-2018-11882 A-111093259* なし クローズドソース コンポーネント
CVE-2018-11884 A-111090535* なし クローズドソース コンポーネント
CVE-2018-11928 A-112279580* なし クローズドソース コンポーネント
CVE-2018-11936 A-112279127* なし クローズドソース コンポーネント
CVE-2018-11967 A-119049704* なし クローズドソース コンポーネント
CVE-2018-11967 A-119052960* なし クローズドソース コンポーネント
CVE-2018-11968 A-114042276* なし クローズドソース コンポーネント
CVE-2018-12005 A-117118499* なし クローズドソース コンポーネント
CVE-2018-12012 A-117119174* なし クローズドソース コンポーネント
CVE-2018-12013 A-117119152* なし クローズドソース コンポーネント
CVE-2018-13885 A-117118789* なし クローズドソース コンポーネント
CVE-2018-13895 A-122472377* なし クローズドソース コンポーネント
CVE-2018-13925 A-120483842* なし クローズドソース コンポーネント
CVE-2019-2244 A-122472139* なし クローズドソース コンポーネント
CVE-2019-2245 A-122473145* なし クローズドソース コンポーネント

一般的な質問と回答

上記の公開情報に対する一般的な質問についての回答は以下のとおりです。

1. 上記の問題に対処するようにデバイスが更新されているかどうかを確かめるには、どうすればよいですか?

デバイスのセキュリティ パッチレベルを確認する方法については、Android のバージョンを確認して更新するをご覧ください。

  • セキュリティ パッチレベル 2019-04-01 以降では、セキュリティ パッチレベル 2019-04-01 に関連するすべての問題に対処しています。
  • セキュリティ パッチレベル 2019-04-05 以降では、セキュリティ パッチレベル 2019-04-05、およびそれ以前のすべてのパッチレベルに関連するすべての問題に対処しています。

このアップデートを組み込んだデバイス メーカーは、パッチレベル文字列を以下に設定する必要があります。

  • [ro.build.version.security_patch]:[2019-04-01]
  • [ro.build.version.security_patch]:[2019-04-05]

2. この公開情報に 2 つのセキュリティ パッチレベルがあるのはなぜですか?

この公開情報では、2 つのセキュリティ パッチレベルを定義しています。これは、すべての Android デバイスにまたがる同様の脆弱性をひとまとめにして、Android パートナーが迅速かつ柔軟に修正できるようにするためです。Android パートナーは、この公開情報に掲載されている問題をすべて修正し、最新のセキュリティ パッチレベルを使用することが推奨されています。

  • 2019-04-01 のセキュリティ パッチレベルを使用するデバイスには、そのセキュリティ パッチレベルに関連するすべての問題と、それ以前のセキュリティに関する公開情報で報告されたすべての問題の修正を含める必要があります。
  • 2019-04-05 以降のセキュリティ パッチレベルを使用するデバイスには、今回(およびそれ以前)のセキュリティに関する公開情報に掲載された、該当するすべてのパッチを組み込む必要があります。

パートナーは、対処するすべての問題の修正を 1 つのアップデートにまとめて提供することが推奨されています。

3. 「タイプ」列の項目はどういう意味ですか?

脆弱性の詳細の表で「タイプ」列に記載した項目は、セキュリティの脆弱性の分類を示しています。

略語 定義
RCE リモートコード実行
EoP 権限昇格
ID 情報開示
DoS サービス拒否
なし 該当する分類なし

4. 「参照」列の項目はどういう意味ですか?

脆弱性の詳細の表で「参照」列に記載した項目には、その参照番号が属す組織を示す接頭辞が含まれる場合があります。

接頭辞 参照
A- Android バグ ID
QC- Qualcomm の参照番号
M- MediaTek の参照番号
N- NVIDIA の参照番号
B- Broadcom の参照番号

5. 「参照」列の Android バグ ID の横にある「*」はどういう意味ですか?

公開されていない問題には、「参照」列の Android バグ ID の横に「*」を付けています。この問題のアップデートは、Google デベロッパー サイトから入手できる Pixel デバイス用最新バイナリ ドライバに通常含まれています。

6. セキュリティの脆弱性が、この公開情報とデバイスやパートナーのセキュリティに関する公開情報(Pixel のセキュリティに関する公開情報など)に分けられているのはなぜですか?

Android デバイスの最新のセキュリティ パッチレベルを宣言するためには、このセキュリティに関する公開情報に掲載されているセキュリティの脆弱性への対処が必要となります。それ以外の、デバイスやパートナーのセキュリティに関する公開情報に掲載されているセキュリティの脆弱性への対処は必要ありません。SamsungLGE などの Android デバイスやチップセットのメーカーは、自社のデバイスに関して他にも修正がある場合、その情報を自社のセキュリティ関連のウェブサイトや Pixel のセキュリティに関する公開情報に掲載することが推奨されています。

バージョン

バージョン 日付 メモ
1.0 2019 年 4 月 1 日 情報公開
1.1 2019 年 4 月 3 日 公開情報を改訂し AOSP リンクを追加